Bullet Collision Detection & Physics Library: btQuantizedBvhFloatData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btQuantizedBvhFloatData Struct Reference

`#include <btQuantizedBvh.h>`

Collaboration diagram for btQuantizedBvhFloatData:
[legend]

## Public Attributes
btVector3FloatData | m_bvhAabbMin
btVector3FloatData | m_bvhAabbMax
btVector3FloatData | m_bvhQuantization
int | m_curNodeIndex
int | m_useQuantization
int | m_numContiguousLeafNodes
int | m_numQuantizedContiguousNodes
btOptimizedBvhNodeFloatData * | m_contiguousNodesPtr
btQuantizedBvhNodeData * | m_quantizedContiguousNodesPtr
btBvhSubtreeInfoData * | m_subTreeInfoPtr
int | m_traversalMode
int | m_numSubtreeHeaders

## Detailed Description

Definition at line 539 of file btQuantizedBvh.h.

## Member Data Documentation

btVector3FloatData btQuantizedBvhFloatData::m_bvhAabbMax

Definition at line 542 of file btQuantizedBvh.h.

btVector3FloatData btQuantizedBvhFloatData::m_bvhAabbMin

Definition at line 541 of file btQuantizedBvh.h.

btVector3FloatData btQuantizedBvhFloatData::m_bvhQuantization

Definition at line 543 of file btQuantizedBvh.h.

btOptimizedBvhNodeFloatData* btQuantizedBvhFloatData::m_contiguousNodesPtr

Definition at line 548 of file btQuantizedBvh.h.

int btQuantizedBvhFloatData::m_curNodeIndex

Definition at line 544 of file btQuantizedBvh.h.

int btQuantizedBvhFloatData::m_numContiguousLeafNodes

Definition at line 546 of file btQuantizedBvh.h.

int btQuantizedBvhFloatData::m_numQuantizedContiguousNodes

Definition at line 547 of file btQuantizedBvh.h.

int btQuantizedBvhFloatData::m_numSubtreeHeaders

Definition at line 552 of file btQuantizedBvh.h.

btQuantizedBvhNodeData* btQuantizedBvhFloatData::m_quantizedContiguousNodesPtr

Definition at line 549 of file btQuantizedBvh.h.

btBvhSubtreeInfoData* btQuantizedBvhFloatData::m_subTreeInfoPtr

Definition at line 550 of file btQuantizedBvh.h.

int btQuantizedBvhFloatData::m_traversalMode

Definition at line 551 of file btQuantizedBvh.h.

int btQuantizedBvhFloatData::m_useQuantization

Definition at line 545 of file btQuantizedBvh.h.

The documentation for this struct was generated from the following file:

- btQuantizedBvh.h